## Index

### Classes

- IVisualizerUI

### Type aliases

- IConstants
- IConstantsButtons
- IConstantsDownload
- IConstantsMenu
- IConstantsMobileMenu
- IConstantsPanels
- ICssVariables
- ICustomDropdowns
- ICustomGeneral
- ICustomIcon
- ICustomList
- ICustomMenu
- IHotspotAreaTooltip
- IHotspotPointLabel
- IHotspotPoints
- IProduct

### Variables

- ExternalConstants

## Type aliases

### IConstants

IConstants: { cssVariables: ICssVariables; download: IConstantsDownload; general: ICustomGeneral; hotspot_area_tooltip: IHotspotAreaTooltip; hotspot_points: IHotspotPoints; menu: IConstantsMenu; mobileMenu: IConstantsMobileMenu; panels: IConstantsPanels }

for each section in the ui u can customize labels, titles and icons all optional

#### Type declaration

- ##### cssVariables: ICssVariables

- ##### download: IConstantsDownload

- ##### general: ICustomGeneral

- ##### hotspot_area_tooltip: IHotspotAreaTooltip

- ##### hotspot_points: IHotspotPoints

- ##### menu: IConstantsMenu

- ##### mobileMenu: IConstantsMobileMenu

- ##### panels: IConstantsPanels

### IConstantsButtons

IConstantsButtons: { add_to_cart: { label: string; visible: boolean }; download: { icon: ICustomIcon; label: string; visible: boolean }; fullscreen: { icon: ICustomIcon; visible: boolean }; fullscreen_exit: { icon: ICustomIcon; visible: boolean }; order_sample: { label: string; visible: boolean }; save_product: { icon: ICustomIcon; icon_selected: ICustomIcon; visible: boolean }; save_scene: { icon: ICustomIcon; icon_selected: ICustomIcon; label: string; visible: boolean } }

#### Type declaration

- ##### add_to_cart: { label: string; visible: boolean }

  - ##### label: string

  - ##### visible: boolean

    will hide/show the ui element - default: true

- ##### download: { icon: ICustomIcon; label: string; visible: boolean }

  - ##### icon: ICustomIcon

  - ##### label: string

  - ##### visible: boolean

    will hide/show the ui element - default: true

- ##### fullscreen: { icon: ICustomIcon; visible: boolean }

  - ##### icon: ICustomIcon

  - ##### visible: boolean

    will hide/show the ui element - default: true

- ##### fullscreen_exit: { icon: ICustomIcon; visible: boolean }

  - ##### icon: ICustomIcon

  - ##### visible: boolean

    will hide/show the ui element - default: true

- ##### order_sample: { label: string; visible: boolean }

  - ##### label: string

  - ##### visible: boolean

    will hide/show the ui element - default: true

- ##### save_product: { icon: ICustomIcon; icon_selected: ICustomIcon; visible: boolean }

  - ##### icon: ICustomIcon

  - ##### icon_selected: ICustomIcon

  - ##### visible: boolean

    will hide/show the ui element - default: true

- ##### save_scene: { icon: ICustomIcon; icon_selected: ICustomIcon; label: string; visible: boolean }

  - ##### icon: ICustomIcon

  - ##### icon_selected: ICustomIcon

  - ##### label: string

  - ##### visible: boolean

    will hide/show the ui element - default: true

### IConstantsDownload

IConstantsDownload: { copyright: { label: string; visible: boolean }; logo: { height?: undefined | string; icon: ICustomIcon; visible: boolean; width?: undefined | string } }

#### Type declaration

- ##### copyright: { label: string; visible: boolean }

  - ##### label: string

    the label of the copyright in the download page

  - ##### visible: boolean

    will hide/show the ui element - default: true

- ##### logo: { height?: undefined | string; icon: ICustomIcon; visible: boolean; width?: undefined | string }

  - ##### Optional height?: undefined | string

    height in pixels like 100px

  - ##### icon: ICustomIcon

  - ##### visible: boolean

    will hide/show the ui element - default: true

  - ##### Optional width?: undefined | string

    width in pixels like 100px

### IConstantsMenu

IConstantsMenu: { myFavorites: ICustomMenu; saveScene: ICustomMenu; scenes: ICustomMenu; summary: ICustomMenu }

#### Type declaration

- ##### myFavorites: ICustomMenu

- ##### saveScene: ICustomMenu

- ##### scenes: ICustomMenu

- ##### summary: ICustomMenu

### IConstantsMobileMenu

IConstantsMobileMenu: { editScene: { icon: ICustomIcon; visible: boolean }; openMenu: { icon: ICustomIcon; visible: boolean } }

#### Type declaration

- ##### editScene: { icon: ICustomIcon; visible: boolean }

  - ##### icon: ICustomIcon

  - ##### visible: boolean

- ##### openMenu: { icon: ICustomIcon; visible: boolean }

  - ##### icon: ICustomIcon

  - ##### visible: boolean

### IConstantsPanels

IConstantsPanels: { favorites: { empty_label: string; empty_sublabel: string; title: string }; products: { empty_label: string; headers: { hotspots: { label: string }; products: { label: string } }; product: IProduct }; scenes: { level1: { title: string }; level2: { title: string } } }

#### Type declaration

- ##### favorites: { empty_label: string; empty_sublabel: string; title: string }

  - ##### empty_label: string

    the label that will be shown when there are no favorites

  - ##### empty_sublabel: string

    the subtitle that will be shown when there are no favorites

  - ##### title: string

    the title of the favorite panel

- ##### products: { empty_label: string; headers: { hotspots: { label: string }; products: { label: string } }; product: IProduct }

  - ##### empty_label: string

  - ##### headers: { hotspots: { label: string }; products: { label: string } }

    - ##### hotspots: { label: string }

      - ##### label: string

    - ##### products: { label: string }

      - ##### label: string

  - ##### product: IProduct

- ##### scenes: { level1: { title: string }; level2: { title: string } }

  - ##### level1: { title: string }

    display scenes panel on visualizer start

    - ##### title: string

  - ##### level2: { title: string }

    - ##### title: string

### ICssVariables

ICssVariables: {}

#### Type declaration

- ##### [cssVariable: string]: string

### ICustomDropdowns

ICustomDropdowns: { check_container: { icon: ICustomIcon; icon_selected: ICustomIcon }; trigger: { icon: ICustomIcon; icon_selected: ICustomIcon; visible: boolean } }

#### Type declaration

- ##### check_container: { icon: ICustomIcon; icon_selected: ICustomIcon }

  the square of the checkbox

  - ##### icon: ICustomIcon

  - ##### icon_selected: ICustomIcon

- ##### trigger: { icon: ICustomIcon; icon_selected: ICustomIcon; visible: boolean }

  the dropdown trigger

  - ##### icon: ICustomIcon

  - ##### icon_selected: ICustomIcon

  - ##### visible: boolean

    will hide/show the ui element - default: true

### ICustomGeneral

ICustomGeneral: { buttons: IConstantsButtons; dropdowns: ICustomDropdowns; list: ICustomList; loader: { icon: ICustomIcon } }

#### Type declaration

- ##### buttons: IConstantsButtons

- ##### dropdowns: ICustomDropdowns

- ##### list: ICustomList

- ##### loader: { icon: ICustomIcon }

  - ##### icon: ICustomIcon

### ICustomIcon

ICustomIcon: { style?: undefined | { height?: undefined | string; width?: undefined | string }; url: string }

#### Type declaration

- ##### Optional style?: undefined | { height?: undefined | string; width?: undefined | string }

  width in pixels like 100px

- ##### url: string

  param

    the url/path to an svg

### ICustomList

ICustomList: { scroll: { arrow: { icon: ICustomIcon } } }

#### Type declaration

- ##### scroll: { arrow: { icon: ICustomIcon } }

  - ##### arrow: { icon: ICustomIcon }

    - ##### icon: ICustomIcon

### ICustomMenu

ICustomMenu: { icon: ICustomIcon; label: string; visible: boolean }

#### Type declaration

- ##### icon: ICustomIcon

- ##### label: string

  the label of the menu item

- ##### visible: boolean

  will hide/show the ui element - default: true

### IHotspotAreaTooltip

IHotspotAreaTooltip: { visible: boolean }

#### Type declaration

- ##### visible: boolean

### IHotspotPointLabel

IHotspotPointLabel: { visible: boolean }

#### Type declaration

- ##### visible: boolean

  will hide/show the label of hotspot point - default: true

### IHotspotPoints

IHotspotPoints: { idle_timeout_ms: number; label: IHotspotPointLabel }

#### Type declaration

- ##### idle_timeout_ms: number

  time of inactivity after which the hotspots disappear

- ##### label: IHotspotPointLabel

  the label of hotspot point

### IProduct

IProduct: { title: { desktop: { visible: boolean }; landscape: { visible: boolean }; portrait: { visible: boolean } } }

#### Type declaration

- ##### title: { desktop: { visible: boolean }; landscape: { visible: boolean }; portrait: { visible: boolean } }

  - ##### desktop: { visible: boolean }

    - ##### visible: boolean

  - ##### landscape: { visible: boolean }

    - ##### visible: boolean

  - ##### portrait: { visible: boolean }

    - ##### visible: boolean

## Variables

### Const ExternalConstants

ExternalConstants: IConstants = ExternalConstantsSample

Generated using TypeDoc